import { ref } from 'vue';

// 任务管理表格列
export const taskColumns = ref([
  { type: 'checkbox', width: 50 },
  {
    field: 'platformNumber',
    title: '平台编号',
    editRender: { autofocus: '.vxe-input--inner' },
    slots: { edit: 'number_edit' },
    minWidth: 87
  },
  {
    field: 'platformName',
    title: '平台名称',
    editRender: { autofocus: '.vxe-input--inner' },
    slots: { edit: 'name_edit' },
    align: 'center',
    minWidth: 138, isEditing: false
  },
  {
    field: 'country',
    title: '国家',
    editRender: { autofocus: '.vxe-input--inner' },
    slots: { edit: 'country_edit' },
    minWidth: 85,
    align: 'center'
  },
  {
    field: 'brandName',
    title: '品牌',
    editRender: {},
    slots: { edit: 'brand_edit' },
    align: 'center',
    minWidth: 89,
  },
  {
    field: 'user_name',
    title: '填写人',
    editRender: {},
    slots: {
      edit: 'operation_edit',
      //default: 'operation_default'
    },
    align: 'center',
    minWidth: 120
  },
  {
    field: 'operater',
    title: '运营',
    editRender: {},
    slots: { edit: 'operater_name_edit' },
    align: 'center',
    minWidth: 104
  },
  {
    field: 'currencyCode',
    title: '平台币种',
    editRender: {},
    slots: { edit: 'currency_edit' },
    align: 'center',
    minWidth: 90
  },
  {
    field: 'currencyCodePlatform',
    title: '回款/余额币种',
    editRender: {},
    slots: { edit: 'currencyCodePlatform_edit' },
    minWidth: 120,
    align: 'center'
  },
  {
    field: 'platform',
    title: '平台',
    editRender: {},
    slots: { edit: 'platform_edit' },
    align: 'center',
    minWidth: 89
  },
  { field: 'line', title: '线路', editRender: {}, slots: { edit: 'line_edit' }, align: 'center', minWidth: 89 },
  { field: 'ipaddress', title: 'IP地址', editRender: {}, slots: { edit: 'ipaddress_edit' }, minWidth: 135 },
  {
    field: 'company',
    title: '注册公司',
    editRender: {},
    slots: { edit: 'company_edit' },
    align: 'center',
    minWidth: 184
  },
  {
    field: 'companyEnglishName',
    title: '公司英文名称',
    editRender: {},
    slots: { edit: 'companyEnglishName_edit' },
    align: 'center',
    minWidth: 126
  },
  {
    field: 'address',
    title: '公司地址',
    editRender: {},
    slots: { edit: 'address_edit' },
    align: 'center',
    minWidth: 262
  },
  {
    field: 'juridicalPerson',
    title: '公司法人',
    editRender: {},
    slots: { edit: 'juridicalPerson_edit' },
    align: 'center',
    minWidth: 95
  },
  {
    field: 'juridicalPersonCreditCard',
    title: '法人信用卡',
    editRender: {},
    slots: { edit: 'juridicalPersonCreditCard_edit' },
    align: 'center',
    minWidth: 105
  },
  {
    field: 'juridicalPersonCreditCardAddress',
    title: '信用卡地址',
    editRender: {},
    slots: { edit: 'juridicalPersonCreditCardAddress_edit' },
    align: 'center',
    minWidth: 262
  },
  {
    field: 'receivablesAccount',
    title: '收款账号',
    editRender: {},
    slots: { edit: 'receivablesAccount_edit' },
    align: 'center',
    minWidth: 156
  },
  {
    field: 'receivablesAccountCompany',
    title: '收款账号公司',
    editRender: {},
    slots: { edit: 'receivablesAccountCompany_edit' },
    align: 'center',
    minWidth: 115
  },
  {
    field: 'vatNumber',
    title: 'VAT税号',
    editRender: {},
    slots: { edit: 'vatNumber_edit' },
    align: 'center',
    minWidth: 245
  },
  {
    field: 'vatCompany',
    title: 'VAT税号公司名称',
    editRender: {},
    slots: { edit: 'vatCompany_edit' },
    align: 'center',
    minWidth: 135
  },

  { field: 'status', title: '状态', slots: { default: 'status_default' }, align: 'center', minWidth: 89 },
  { title: '操作', minWidth: 108, slots: { default: 'operate' }, fixed: 'right' },
]);

export const shopInfoColumns = ref([
  {
    field: 'platformNumber',
    title: '平台编号',
    minWidth: 87
  },
  {
    field: 'platformName',
    title: '平台名称',
    align: 'center',
    minWidth: 138, isEditing: false
  },
  {
    field: 'country',
    title: '国家',
    minWidth: 85,
    align: 'center'
  },
  {
    field: 'brandName',
    title: '品牌',
    align: 'center',
    minWidth: 89,
  },
  {
    field: 'user_name',
    title: '填写人',
    align: 'center',
    minWidth: 104
  },
  {
    field: 'operater',
    title: '运营',
    align: 'center',
    minWidth: 104
  },
  {
    field: 'currencyCode',
    title: '平台币种',
    align: 'center',
    minWidth: 90
  },
  {
    field: 'currencyCodePlatform',
    title: '回款/余额币种',
    minWidth: 120,
    align: 'center'
  },
  {
    field: 'platform',
    title: '平台',
    align: 'center',
    minWidth: 89
  },
  { field: 'line', title: '线路', align: 'center', minWidth: 89 },
  { field: 'ipaddress', title: 'IP地址', minWidth: 135 },
  {
    field: 'company',
    title: '注册公司',
    align: 'center',
    minWidth: 184
  },
  {
    field: 'companyEnglishName',
    title: '公司英文名称',
    align: 'center',
    minWidth: 120
  },
  {
    field: 'address',
    title: '公司地址',
    align: 'center',
    minWidth: 262
  },
  {
    field: 'juridicalPerson',
    title: '公司法人',
    align: 'center',
    minWidth: 95
  },
  {
    field: 'juridicalPersonCreditCard',
    title: '法人信用卡',
    align: 'center',
    minWidth: 105
  },
  {
    field: 'juridicalPersonCreditCardAddress',
    title: '信用卡地址',
    align: 'center',
    minWidth: 262
  },
  {
    field: 'receivablesAccount',
    title: '收款账号',
    align: 'center',
    minWidth: 156
  },
  {
    field: 'receivablesAccountCompany',
    title: '收款账号公司',
    align: 'center',
    minWidth: 115
  },
  { field: 'vatNumber', title: 'VAT税号', align: 'center', minWidth: 95 },
  { field: 'vatCompany', title: 'VAT税号公司名称', align: 'center', minWidth: 135 },
  { field: 'status', title: '状态', slots: { default: 'status_default' }, align: 'center', minWidth: 89 },
]);